• Du php 5 chez 1&1

    Les dernières versions de WordPress ainsi que de nombreux plugins requièrent la version php5 installée sur le blog.
    Or, chez One and One, les serveurs sont encore  montés en php4. Voici une petite astuce … au cas où certains s’arrachent encore les cheveux avec la version php !

    • 1. Activer la structure permaliens de votre choix (menu réglages de WP)
    • 2. Editer le fichier .htaccess se trouvant à la racine du site
    • 2. Ajouter la syntaxe : AddType x-mapp-php5 .php au début du code
    • 3. Sauvegardez le fichier et changez les attributs du fichier ( CMOD) en 444

    Voici le code final du .htaccess d’un blog wordpress avec les permaliens :

    # BEGIN WordPress
    AddType x-mapp-php5 .php
    RewriteEngine On
    RewriteBase /wordpress/
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /wordpress/index.php [L]

    # END WordPress

     

Share This Post

Leave a Reply